<template>
  <footer class="relative pt-16 bg-white">
    <div
      v-if="
        this.$nuxt.$data.layoutName !== 'customer' &&
        !this.$store.state.auth.customer
      "
      id="newsletter-container"
      class="py-4"
    >
      <div class="container mx-auto">
        <div
          class="flex flex-col items-center justify-between px-12 py-6 transition-all duration-300 ease-in-out border border-transparent rounded md:flex-row border-secondary-500"
        >
          <div class="text-center md:text-left">
            <p class="text-xl text-secondary-500">
              Register now and get a
              <strong>20% off on your first order</strong>
            </p>
          </div>
          <div class="flex mt-5 rounded-md md:w-1/3 md:mt-0">
            <div
              class="relative flex items-stretch flex-grow focus-within:z-10"
            >
              <input
                id="register-input"
                v-model="registerEmail"
                type="email"
                name="register"
                class="block w-full h-12 px-5 border rounded-none rounded-l text-secondary-500 border-primary-300 placeholder-secondary-300 focus:outline-none"
                placeholder="Enter your email"
              />
            </div>
            <nuxt-link
              :to="{ name: 'register', params: { registerEmail } }"
              class="relative inline-flex items-center px-4 py-2 -ml-px space-x-2 font-medium text-white rounded-r bg-primary-300 hover:bg-primary-400 focus:outline-none"
            >
              Register
            </nuxt-link>
          </div>
        </div>
      </div>
    </div>

    <div id="footer-menu-container" class="pt-16 pb-12">
      <div class="container mx-auto">
        <div class="grid grid-cols-2 gap-10 px-10 md:grid-cols-5 md:px-0">
          <div class="col-span-2 md:col-span-3">
            <a href="https://molygo.com">
              <Logo class="h-10" mode="dark" />
            </a>
            <div class="flex items-center justify-start mt-8">
              <div>
                <img
                  src="https://admin.molygo.com/wp-content/uploads/contact.svg"
                  alt="Contact Icon"
                  class="h-16"
                />
              </div>
              <div class="ml-5">
                <p class="text-xs text-secondary-300">
                  Have a question? Call center 24/7
                </p>
                <a
                  href="tel:+3059947775"
                  class="text-xl font-bold hover:text-primary-300"
                >
                  305 994 7775
                </a>
              </div>
            </div>
          </div>
          <div>
            <h3 class="text-lg font-semibold text-black">Mōlygo</h3>
            <ul class="mt-5">
              <!-- <li class="mt-3 first:mt-0">
                <nuxt-link
                  to="#"
                  class="text-base text-secondary-500 hover:text-primary-300"
                >
                  About Us
                </nuxt-link>
              </li> -->
              <li class="mt-3 first:mt-0">
                <nuxt-link
                  to="/privacy-policy"
                  class="text-base text-secondary-500 hover:text-primary-300"
                >
                  Privacy Policy
                </nuxt-link>
              </li>
              <li class="mt-3 first:mt-0">
                <nuxt-link
                  to="/terms-conditions"
                  class="text-base text-secondary-500 hover:text-primary-300"
                >
                  Terms and Conditions
                </nuxt-link>
              </li>
            </ul>
          </div>

          <!-- <div>
            <h3 class="text-lg font-semibold text-black">Help</h3>
            <ul class="mt-5">
              <li class="mt-3 first:mt-0">
                <nuxt-link
                  to="#"
                  class="text-base text-secondary-500 hover:text-primary-300"
                >
                  Returns and Refunds
                </nuxt-link>
              </li>
              <li class="mt-3 first:mt-0">
                <nuxt-link
                  to="#"
                  class="text-base text-secondary-500 hover:text-primary-300"
                >
                  Shipping and Delivery
                </nuxt-link>
              </li>
              <li class="mt-3 first:mt-0">
                <nuxt-link
                  to="#"
                  class="text-base text-secondary-500 hover:text-primary-300"
                >
                  Frequently Asked Questions
                </nuxt-link>
              </li>
            </ul>
          </div> -->

          <div>
            <h3 class="text-lg font-semibold text-black">Address</h3>
            <div class="mt-5">
              <p class="mt-3 text-base text-secondary-500 first:mt-0">
                Miami, FL USA <br />
                12950 NW 25St. Suite 204 <br />
                Zip code: 33182
              </p>
              <p class="mt-3 text-base first:mt-0">
                <a
                  href="mailto:info@molygo.com"
                  class="text-primary-300 hover:text-primary-400"
                >
                  info@molygo.com
                </a>
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="credits-container" class="py-3 bg-secondary-100">
      <div class="container mx-auto">
        <div class="grid grid-cols-1 gap-6 px-10 md:grid-cols-5 md:px-0">
          <div class="flex items-center justify-start col-span-2">
            <p class="w-full text-xs text-center md:text-left">
              <a href="https://moylgo.com" class="font-semibold">
                &copy; Molygo
              </a>
              - All rights reserved <span class="hidden md:inline">-</span>
              <br class="md:hidden" />
              <a
                href="mailto:israsenior.dev@gmail.com"
                class="font-medium hover:text-primary-300"
                >IsraSenior</a
              >
              Development
            </p>
          </div>

          <div
            class="flex items-center justify-center col-span-1 md:col-span-2"
          >
            <ul class="flex items-center justify-between w-full">
              <li class="ml-3 fisrt:ml-0">
                <img
                  src="https://admin.molygo.com/wp-content/uploads/paypal.svg"
                  alt="Paypal Logo"
                />
              </li>
              <li class="ml-3 fisrt:ml-0">
                <img
                  src="https://admin.molygo.com/wp-content/uploads/mastercard.svg"
                  alt="Master Card Logo"
                />
              </li>
              <li class="ml-3 fisrt:ml-0">
                <img
                  src="https://admin.molygo.com/wp-content/uploads/visa.svg"
                  alt="Visa Logo"
                />
              </li>
              <li class="ml-3 fisrt:ml-0">
                <img
                  src="https://admin.molygo.com/wp-content/uploads/maestro.svg"
                  alt="Maestro Logo"
                />
              </li>
              <li class="ml-3 fisrt:ml-0">
                <img
                  src="https://admin.molygo.com/wp-content/uploads/americanexpress.svg"
                  alt="American Express Logo"
                />
              </li>
              <li class="ml-3 fisrt:ml-0">
                <img
                  src="https://admin.molygo.com/wp-content/uploads/discover.svg"
                  alt="Discover Logo"
                />
              </li>
            </ul>
          </div>

          <div
            class="flex items-center justify-center col-span-2 md:col-span-1"
          >
            <div class="flex items-center justify-center w-full md:justify-end">
              <span class="mr-3 text-xs">Security</span>
              <img
                src="https://admin.molygo.com/wp-content/uploads/ssl.svg"
                alt="SSL Secure Logo"
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
import Logo from '~/components/branding/Logo'

export default {
  components: {
    Logo,
  },
  data() {
    return {
      registerEmail: '',
    }
  },
}
</script>
